%define nettlemajor 6
%define hogweedmajor 4
%define libnettlename %mklibname nettle %{nettlemajor}
%define libhogweedname %mklibname hogweed %{hogweedmajor}
%define develname %mklibname -d nettle

Name:		nettle
Summary:	Nettle cryptographic library
Epoch:		1
Version:	3.4.1
Release:	%mkrel 1
License:	LGPLv3+ or GPLv2+
Group:		System/Libraries
URL:		http://www.lysator.liu.se/~nisse/nettle/
Source:		http://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz

BuildRequires:	autoconf
BuildRequires:	openssl-devel
BuildRequires:	libgmp-devel
BuildRequires:	texinfo
Requires:	%{libnettlename} = %{epoch}:%{version}-%{release}
Requires:	%{libhogweedname} = %{epoch}:%{version}-%{release}
Obsoletes:	nettle2.7 < 1:2.7.1-7

%description
Nettle is a cryptographic library that is designed to fit easily in more or less any context: 
In crypto toolkits for object-oriented languages (C++, Python, Pike, ...), in applications 
like LSH or GNUPG, or even in kernel space. 

%package -n	%{libnettlename}
Group:		System/Libraries
Summary:	Nettle shared library

%description -n	%{libnettlename}
This is the shared library part of the Nettle library.

%package -n	%{libhogweedname}
Group:		System/Libraries
Summary:	Hogweed shared library

%description -n	%{libhogweedname}
This is the shared library part of the Hogweed library.

%package -n	%{develname}
Group:		Development/C++
Summary:	Header files for compiling against Nettle library
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libnettlename} = %{epoch}:%{version}-%{release}
Requires:	%{libhogweedname} = %{epoch}:%{version}-%{release}
Obsoletes:	%{mklibname -d nettle2.7} < 1:2.7.1-7

%description -n	%{develname}
This is the development package of nettle. Install it if you want to 
compile programs using this library.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --enable-shared
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_infodir}/*

%files -n %{libnettlename}
%{_libdir}/libnettle.so.%{nettlemajor}{,.*}

%files -n %{libhogweedname}
%{_libdir}/libhogweed.so.%{hogweedmajor}{,.*}

%files -n %{develname}
%doc AUTHORS TODO ChangeLog
%{_libdir}/libnettle.a
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/nettle


%changelog
* Wed Dec 26 2018 daviddavid <daviddavid> 1:3.4.1-1.mga6
+ Revision: 1345086
- new version: 3.4.1, fixes CVE-2018-16869 (mga#24080)

* Mon Oct 03 2016 luigiwalser <luigiwalser> 1:3.3-1.mga6
+ Revision: 1058218
- 3.3
- remove upstream patches

* Tue Aug 09 2016 luigiwalser <luigiwalser> 1:3.2-5.mga6
+ Revision: 1045192
- add more upstream bugfixes related to CVE-2016-6489

* Fri Jul 29 2016 luigiwalser <luigiwalser> 1:3.2-4.mga6
+ Revision: 1043883
- add upstream patch to fix CVE-2016-6489

* Fri Feb 12 2016 luigiwalser <luigiwalser> 1:3.2-3.mga6
+ Revision: 956085
- add epochs on nettle2.7 obsoletes

* Fri Feb 05 2016 luigiwalser <luigiwalser> 1:3.2-2.mga6
+ Revision: 938260
- obsolete nettle2.7

* Tue Feb 02 2016 luigiwalser <luigiwalser> 1:3.2-1.mga6
+ Revision: 931906
- 3.2

* Fri Aug 21 2015 tmb <tmb> 1:3.1.1-2.mga6
+ Revision: 867603
- rebuild for new gcc

* Sat Aug 15 2015 fwang <fwang> 1:3.1.1-1.mga6
+ Revision: 864879
- bump libmajor
- 3.1.1

* Wed Oct 15 2014 umeabot <umeabot> 1:3.0-3.mga5
+ Revision: 746145
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.0-2.mga5
+ Revision: 682861
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 sander85 <sander85> 1:3.0-1.mga5
+ Revision: 635251
- New version: 3.0

* Sat Oct 19 2013 umeabot <umeabot> 1:2.7.1-2.mga4
+ Revision: 525869
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 luigiwalser <luigiwalser> 1:2.7.1-1.mga4
+ Revision: 434819
- 2.7.1

* Mon May 27 2013 fwang <fwang> 1:2.7-1.mga4
+ Revision: 428652
- br texinfo
- new version 2.7
+ luigiwalser <luigiwalser>
- 2.6
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 fwang <fwang> 1:2.5-1.mga3
+ Revision: 285839
- new version 2.5

* Sat Oct 15 2011 fwang <fwang> 1:2.4-1.mga2
+ Revision: 155344
- update file list
- new version 2.4
- new version 2.2

* Tue Jun 21 2011 fwang <fwang> 1:2.1-1.mga2
+ Revision: 111566
- cleanup spec
- imported package nettle


* Wed Oct 27 2010 Funda Wang <fwang@mandriva.org> 1:2.1-1mdv2011.0
+ Revision: 589577
- new version 2.1

* Sat Jul 25 2009 Crispin Boylan <crisb@mandriva.org> 1:2.0-1mdv2010.0
+ Revision: 399777
- Initial package for mandriva
- create nettle

